<div class="order">
    <div class="card order__header border-0">
      <input type="text" class="form-control" placeholder="Search Items..." (keyup)="onSearchKeyPress($event)"/>
    </div>
    <div class="card-body order__body p-0">
      <ul>
        <li *ngFor="let menu of filteredCoffeeMenu.menu">
          <span class="order__menu" *ngIf="menu.items.length > 0">{{menu.type}}</span>
          <ng-container [ngTemplateOutlet]="itemTemplate" [ngTemplateOutletContext]="{items: menu.items}">
          </ng-container>
        </li>
      </ul>
    </div>
    <div class="d-flex flex-row-reverse mt-2">
      <button class="btn btn-primary rounded" (click)="navigateToCart()" [disabled]="this.coffeeAppService.getCart().items.length === 0">
        Checkout
      </button>
    </div>
</div>

<ng-template #itemTemplate let-items="items">
  <app-item [items]="items">
  </app-item>
</ng-template>
